Package ru.bitel.bgbilling.modules.agr.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.agr.server.bean.Constants

public class Constants extends BGBaseConstants
Список констант модуля AGR, доступных для получения данных из конфигурации модуля.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `AGR_MODE`
  значение по умолчанию для режима работы модуля - песочница, а не реальные платежи
  `static final String`
  `AGR_PAYMENT_COMMENT`
  комментарий платежа по умолчанию, если не задан в конфигурации.
  `static final int`
  `AGR_SUM_MAX`
  Значение по умолчанию для максимальной суммы оплаты
  `static final int`
  `AGR_SUM_MIN`
  Значение по умолчанию для минимальной суммы оплаты
  `static final String`
  `AGR_TRANS_ID`
  `static final String`
  `AGR_TRANSACTION_COMMENT`
  комментарий платежа по умолчанию, если не задан в конфигурации.
  `static final String`
  `AGR_TRANSACTION_FORMAT`
  формат транзакции по умолчанию, если не задан в конфигурации.
  `static final String`
  `ANSWER_PARAM_ERROR`
  `static final String`
  `ANSWER_PARAM_ERROR_NOTE`
  `static final String`
  `ANSWER_PARAMETER_PARAMETERS`
  `static final String`
  `ANSWER_PARAMETER_TRANSACTIONS`
  `static final String`
  `ANSWER_VENDOR_TRANS_ID`
  `static final String`
  `ENVIRONMENT`
  `static final String`
  `FIELD_AGR_TRANS_ID`
  `static final String`
  `FIELD_DATE`
  `static final String`
  `FIELD_ENVIRONMENT`
  `static final String`
  `FIELD_MERCHANT_TRANS_AMOUNT`
  `static final String`
  `FIELD_MERCHANT_TRANS_ID`
  `static final String`
  `FIELD_STATE`
  `static final String`
  `FIELD_VENDOR_TRANS_ID`
  `static final String`
  `FROM`
  `static final String`
  `KEY_AGR_CURRENCY`
  название параметра конфигурации, в котором задается название валюты.
  `static final String`
  `KEY_AGR_DEFAULT_PAYMENT_TYPE`
  Название параметра конфигурации, в котором задается тип платежа по умолчанию, под которым будут заноситься все платежи, если в конфигурации не указано соответствие между конкретной платежной системой и типом платежа
  `static final String`
  `KEY_AGR_ENABLE`
  `static final String`
  `KEY_AGR_MODE`
  название параметра конфигурации, в котором задается режим.
  `static final String`
  `KEY_AGR_PAYMENT_COMMENT`
  Название параметра конфигурации, в котором задается комментарий платежа
  `static final String`
  `KEY_AGR_PAYMENT_TYPE_PREFIX`
  Название параметра конфигурации, в котором задается префикс,в котором прописывается соответствие между названием платежной системы в AGR и типом платежа в биллинге.
  `static final String`
  `KEY_AGR_SECRET`
  Название параметра конфигурации, в котором задается секрет для проверки подписи запросов ПС.
  `static final String`
  `KEY_AGR_SUM_MAX`
  Название параметра конфигурации, в котором задается Максимальная сумма к оплате
  `static final String`
  `KEY_AGR_SUM_MIN`
  Название параметра конфигурации, в котором задается Минимальная сумма к оплате
  `static final String`
  `KEY_AGR_TRANSACTION_COMMENT`
  Название параметра конфигурации, в котором задается комментарий, который увидит абонент при оплате
  `static final String`
  `KEY_AGR_TRANSACTION_FORMAT`
  Название параметра конфигурации, в котором задается формат транзакции
  `static final String`
  `KEY_AGR_VENDOR_ID`
  название параметра конфигурации, в котором задается идентификатор провайдера в системе agr.
  `static final String`
  `MERCHANT_TRANS_AMOUNT`
  `static final String`
  `MERCHANT_TRANS_ID`
  `static final String`
  `PAY_URL`
  Url для реальных платежей
  `static final String`
  `PAYMENT_ID`
  `static final String`
  `PAYMENT_NAME`
  `static final String`
  `SANDBOX_URL`
  Url песочницы
  `static final String`
  `SIGN_STRING`
  `static final String`
  `SIGN_TIME`
  `static final String`
  `STATUS`
  `static final String`
  `TO`
  `static final String`
  `VENDOR_ID`
  `static final String`
  `VENDOR_TRANS_ID`

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PAYMENT_PHONE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### AGR_SUM_MIN

    public static final int AGR_SUM_MIN
    Значение по умолчанию для минимальной суммы оплаты
    See Also:
      - Constant Field Values

  - ### AGR_SUM_MAX

    public static final int AGR_SUM_MAX
    Значение по умолчанию для максимальной суммы оплаты
    See Also:
      - Constant Field Values

  - ### AGR_TRANSACTION_FORMAT

    public static final String AGR_TRANSACTION_FORMAT
    формат транзакции по умолчанию, если не задан в конфигурации. Формируется путем сложения с кодом транзакции из таблицы платежей модуля AGR.
    See Also:
      - Constant Field Values

  - ### AGR_PAYMENT_COMMENT

    public static final String AGR_PAYMENT_COMMENT
    комментарий платежа по умолчанию, если не задан в конфигурации. Есть макроподстановки: id транзакции и название ПС, через которую прошел платеж
    See Also:
      - Constant Field Values

  - ### AGR_TRANSACTION_COMMENT

    public static final String AGR_TRANSACTION_COMMENT
    комментарий платежа по умолчанию, если не задан в конфигурации. Есть макроподстановки: id транзакции и название ПС, через которую прошел платеж
    See Also:
      - Constant Field Values

  - ### AGR_MODE

    public static final String AGR_MODE
    значение по умолчанию для режима работы модуля - песочница, а не реальные платежи
    See Also:
      - Constant Field Values

  - ### KEY_AGR_ENABLE

    public static final String KEY_AGR_ENABLE
    See Also:
      - Constant Field Values

  - ### KEY_AGR_TRANSACTION_COMMENT

    public static final String KEY_AGR_TRANSACTION_COMMENT
    Название параметра конфигурации, в котором задается комментарий, который увидит абонент при оплате
    See Also:
      - Constant Field Values

  - ### KEY_AGR_SECRET

    public static final String KEY_AGR_SECRET
    Название параметра конфигурации, в котором задается секрет для проверки подписи запросов ПС.
    See Also:
      - Constant Field Values

  - ### KEY_AGR_TRANSACTION_FORMAT

    public static final String KEY_AGR_TRANSACTION_FORMAT
    Название параметра конфигурации, в котором задается формат транзакции
    See Also:
      - Constant Field Values

  - ### KEY_AGR_SUM_MIN

    public static final String KEY_AGR_SUM_MIN
    Название параметра конфигурации, в котором задается Минимальная сумма к оплате
    See Also:
      - Constant Field Values

  - ### KEY_AGR_SUM_MAX

    public static final String KEY_AGR_SUM_MAX
    Название параметра конфигурации, в котором задается Максимальная сумма к оплате
    See Also:
      - Constant Field Values

  - ### KEY_AGR_PAYMENT_COMMENT

    public static final String KEY_AGR_PAYMENT_COMMENT
    Название параметра конфигурации, в котором задается комментарий платежа
    See Also:
      - Constant Field Values

  - ### KEY_AGR_PAYMENT_TYPE_PREFIX

    public static final String KEY_AGR_PAYMENT_TYPE_PREFIX
    Название параметра конфигурации, в котором задается префикс,в котором прописывается соответствие между названием платежной системы в AGR и типом платежа в биллинге.
    See Also:
      - Constant Field Values

  - ### KEY_AGR_DEFAULT_PAYMENT_TYPE

    public static final String KEY_AGR_DEFAULT_PAYMENT_TYPE
    Название параметра конфигурации, в котором задается тип платежа по умолчанию, под которым будут заноситься все платежи, если в конфигурации не указано соответствие между конкретной платежной системой и типом платежа
    See Also:
      - Constant Field Values

  - ### KEY_AGR_VENDOR_ID

    public static final String KEY_AGR_VENDOR_ID
    название параметра конфигурации, в котором задается идентификатор провайдера в системе agr.
    See Also:
      - Constant Field Values

  - ### KEY_AGR_CURRENCY

    public static final String KEY_AGR_CURRENCY
    название параметра конфигурации, в котором задается название валюты.
    See Also:
      - Constant Field Values

  - ### KEY_AGR_MODE

    public static final String KEY_AGR_MODE
    название параметра конфигурации, в котором задается режим.
    See Also:
      - Constant Field Values

  - ### PAY_URL

    public static final String PAY_URL
    Url для реальных платежей
    See Also:
      - Constant Field Values

  - ### SANDBOX_URL

    public static final String SANDBOX_URL
    Url песочницы
    See Also:
      - Constant Field Values

  - ### MERCHANT_TRANS_ID

    public static final String MERCHANT_TRANS_ID
    See Also:
      - Constant Field Values

  - ### SIGN_TIME

    public static final String SIGN_TIME
    See Also:
      - Constant Field Values

  - ### SIGN_STRING

    public static final String SIGN_STRING
    See Also:
      - Constant Field Values

  - ### PAYMENT_NAME

    public static final String PAYMENT_NAME
    See Also:
      - Constant Field Values

  - ### PAYMENT_ID

    public static final String PAYMENT_ID
    See Also:
      - Constant Field Values

  - ### AGR_TRANS_ID

    public static final String AGR_TRANS_ID
    See Also:
      - Constant Field Values

  - ### MERCHANT_TRANS_AMOUNT

    public static final String MERCHANT_TRANS_AMOUNT
    See Also:
      - Constant Field Values

  - ### VENDOR_TRANS_ID

    public static final String VENDOR_TRANS_ID
    See Also:
      - Constant Field Values

  - ### ENVIRONMENT

    public static final String ENVIRONMENT
    See Also:
      - Constant Field Values

  - ### STATUS

    public static final String STATUS
    See Also:
      - Constant Field Values

  - ### FROM

    public static final String FROM
    See Also:
      - Constant Field Values

  - ### TO

    public static final String TO
    See Also:
      - Constant Field Values

  - ### VENDOR_ID

    public static final String VENDOR_ID
    See Also:
      - Constant Field Values

  - ### ANSWER_PARAM_ERROR

    public static final String ANSWER_PARAM_ERROR
    See Also:
      - Constant Field Values

  - ### ANSWER_PARAM_ERROR_NOTE

    public static final String ANSWER_PARAM_ERROR_NOTE
    See Also:
      - Constant Field Values

  - ### ANSWER_PARAMETER_PARAMETERS

    public static final String ANSWER_PARAMETER_PARAMETERS
    See Also:
      - Constant Field Values

  - ### ANSWER_VENDOR_TRANS_ID

    public static final String ANSWER_VENDOR_TRANS_ID
    See Also:
      - Constant Field Values

  - ### ANSWER_PARAMETER_TRANSACTIONS

    public static final String ANSWER_PARAMETER_TRANSACTIONS
    See Also:
      - Constant Field Values

  - ### FIELD_ENVIRONMENT

    public static final String FIELD_ENVIRONMENT
    See Also:
      - Constant Field Values

  - ### FIELD_AGR_TRANS_ID

    public static final String FIELD_AGR_TRANS_ID
    See Also:
      - Constant Field Values

  - ### FIELD_VENDOR_TRANS_ID

    public static final String FIELD_VENDOR_TRANS_ID
    See Also:
      - Constant Field Values

  - ### FIELD_MERCHANT_TRANS_ID

    public static final String FIELD_MERCHANT_TRANS_ID
    See Also:
      - Constant Field Values

  - ### FIELD_MERCHANT_TRANS_AMOUNT

    public static final String FIELD_MERCHANT_TRANS_AMOUNT
    See Also:
      - Constant Field Values

  - ### FIELD_STATE

    public static final String FIELD_STATE
    See Also:
      - Constant Field Values

  - ### FIELD_DATE

    public static final String FIELD_DATE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()